This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 68827 - ls directory output on console garbled
ls directory output on console garbled
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: fileutils (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-14 17:58 EDT by Olaf Schnapauff
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-14 17:58:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olaf Schnapauff 2002-07-14 17:58:25 EDT
Description of Problem:

On vt 2-6, output of ls appears completely garbled for the colored (directory,
link) etc items. This system was installed german default. LANG=C does not
fix this. This might be  a font problem. unrelated to which user logs in too.
Funny enough, vt1 seems not affected , at least not right now.

The garbled text can be cut-n - pasted, to internally it seems to know what
its doing, just not display it correctly. 

cat /etc/sysconfig/i18n 
LANG="de_DE.UTF-8@euro"
SUPPORTED="en_US.UTF-8:en_US:en:de_DE.UTF-8@euro:de_DE:de_DE.UTF-8:de"
SYSFONT="LatArCyrHeb-16"

Sadly, I cannot easily show you how it looks. Can i somehow take a screenshot
of the console? it, as said, cannot be cut-n-pasted.



Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bill Nottingham 2002-07-14 21:55:13 EDT
This is an issue with unicode initialization on vt2->vt6. A fix/workaround is in
the current rawhide kbd package.

Note You need to log in before you can comment on or make changes to this bug.